إعادة التوجيه
إنشاء توجيه
ينشئ قاعدة توجيه ضمن حساب المسار.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
إنشاء توجيه
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_email": "jsmith@example.com",
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding"
payload = {
"target_email": "jsmith@example.com",
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_email: 'jsmith@example.com',
domain: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_email' => 'jsmith@example.com',
'domain' => '<string>',
'workspace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding"
payload := strings.NewReader("{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
الاستجابة
ما إذا كانت إعادة التوجيه نشطة
إعادة توجيه الطابع الزمني لإنشاء القاعدة
إعادة توجيه القاعدة UUID
المورد UUID لنطاق إعادة التوجيه
نوع نطاق المورد لقاعدة إعادة التوجيه
الخيارات المتاحة:
account, workspace, domain إعادة توجيه عنوان البريد الإلكتروني الوجهة
إعادة توجيه الطابع الزمني للتحديث الأخير لقاعدة
ما إذا كان التحقق من المستلم مطلوبًا أم لا
حالة التحقق من المستلم
الخيارات المتاحة:
internal, pending, verified, expired الطابع الزمني لانتهاء التحقق
تم إرسال الطابع الزمني لرسالة التحقق عبر البريد الإلكتروني
الطابع الزمني لاستكمال التحقق
هل كانت هذه الصفحة مفيدة؟
⌘I
إنشاء توجيه
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_email": "jsmith@example.com",
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding"
payload = {
"target_email": "jsmith@example.com",
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_email: 'jsmith@example.com',
domain: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_email' => 'jsmith@example.com',
'domain' => '<string>',
'workspace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding"
payload := strings.NewReader("{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_email\": \"jsmith@example.com\",\n \"domain\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}